USE mysql;

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

USE kplaylist


--
-- Base de donnes: `kplaylist`
--

-- --------------------------------------------------------

--
-- Structure de la table `tbl_bulletin`
--

CREATE TABLE IF NOT EXISTS `tbl_bulletin` (
  `bid` int(4) NOT NULL auto_increment,
  `u_id` int(4) NOT NULL default '0',
  `utime` int(4) NOT NULL default '0',
  `publish` int(4) NOT NULL default '0',
  `mesg` text NOT NULL,
  PRIMARY KEY  (`bid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `tbl_bulletin`
--


-- --------------------------------------------------------

--
-- Structure de la table `tbl_cache`
--

CREATE TABLE IF NOT EXISTS `tbl_cache` (
  `cacheid` int(4) NOT NULL auto_increment,
  `id` int(4) NOT NULL default '0',
  `value` text NOT NULL,
  PRIMARY KEY  (`cacheid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

--
-- Contenu de la table `tbl_cache`
--

INSERT INTO `tbl_cache` (`cacheid`, `id`, `value`) VALUES
(1, 10, ''),
(2, 20, ''),
(3, 30, ':0:');

-- --------------------------------------------------------

--
-- Structure de la table `tbl_config`
--

CREATE TABLE IF NOT EXISTS `tbl_config` (
  `id` int(4) NOT NULL auto_increment,
  `key` varchar(255) NOT NULL default '',
  `value` text NOT NULL,
  `vtype` int(2) NOT NULL default '0',
  UNIQUE KEY `id` (`id`,`key`),
  KEY `key` (`key`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=52 ;

--
-- Contenu de la table `tbl_config`
--

INSERT INTO `tbl_config` (`id`, `key`, `value`, `vtype`) VALUES
(1, 'windows', '0', 1),
(2, 'base_dir', '/opt/kplaylist/files/', 0),
(3, 'default_language', '11', 2),
(4, 'dlrate', '0', 2),
(5, 'streamlocation', '', 0),
(6, 'includeheaders', '1', 1),
(7, 'publicrssfeed', '0', 1),
(8, 'externalcss', '', 0),
(9, 'externaljavascript', '', 0),
(10, 'timeout', '43200', 2),
(11, 'homepage', 'http://www.kplaylist.net/?ver=KVER&amp;build=KBUILD', 0),
(12, 'showkeyteq', '0', 1),
(13, 'showupgrade', '1', 1),
(14, 'showstatistics', '0', 1),
(15, 'basedir_changed', '0', 1),
(16, 'require_https', '0', 1),
(17, 'report_attempts', '1', 1),
(18, 'usersignup', '0', 1),
(19, 'signuptemplate', '0', 2),
(20, 'approvesignup', '1', 1),
(21, 'smtphost', '127.0.0.1', 0),
(22, 'smtpport', '25', 0),
(23, 'mailmp3', '1', 1),
(24, 'mailmethod', '2', 2),
(25, 'bulletin', '1', 1),
(26, 'urlsecurity', '0', 1),
(27, 'disksync', '1', 1),
(28, 'optimisticfile', '0', 1),
(29, 'streamurl', 'http://', 0),
(30, 'allowseek', '1', 1),
(31, 'allowdownload', '1', 1),
(32, 'streamingengine', '0', 1),
(33, 'sendfileextension', '1', 1),
(34, 'unauthorizedstreams', '0', 1),
(35, 'lamesupport', '0', 1),
(36, 'enableupload', '1', 1),
(37, 'uploadpath', '/opt/kplaylist/files/', 0),
(38, 'uploadflist', '*', 0),
(39, 'externimagespath', '', 0),
(40, 'albumcover', '1', 1),
(41, 'albumfiles', '*album*.jpg,*album*.gif,*cover*.jpg,*cover*.gif,*front*.jpg,*front*.gif,*.jpg,*.gif', 0),
(42, 'albumresize', '1', 1),
(43, 'albumheight', '320', 2),
(44, 'albumwidth', '400', 2),
(45, 'fetchalbum', '1', 1),
(46, 'albumurl', 'http://www.last.fm/music/%artist/%album', 0),
(47, 'showlyricslink', '1', 1),
(48, 'lyricsurl', 'http://lyrc.com.ar/en/tema1en.php?songname=%title&amp;artist=%artist', 0),
(49, 'filetemplate', '<a href="%i"[ title="%a %y"]><span class="%c">[%R. ][%t - %l|%f]</span></a> <span class="finfo">[(%b kbit %s mins)] %S</span>', 0),
(50, 'oldbase_dir', '/opt/kplaylist/files/', 0),
(51, 'followsymlinks', '1', 1);

-- --------------------------------------------------------

--
-- Structure de la table `tbl_filetypes`
--

CREATE TABLE IF NOT EXISTS `tbl_filetypes` (
  `id` int(4) NOT NULL auto_increment,
  `extension` varchar(32) NOT NULL default '',
  `mime` varchar(128) NOT NULL default '',
  `m3u` char(1) NOT NULL default '',
  `getid` int(4) NOT NULL default '0',
  `search` char(1) NOT NULL default '1',
  `logaccess` char(1) NOT NULL default '1',
  `enabled` char(1) NOT NULL default '1',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `tbl_filetypes`
--


-- --------------------------------------------------------

--
-- Structure de la table `tbl_kplayversion`
--

CREATE TABLE IF NOT EXISTS `tbl_kplayversion` (
  `app_ver` varchar(6) NOT NULL default '',
  `app_build` varchar(6) NOT NULL default '',
  `app_finstall` int(4) NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `tbl_kplayversion`
--

INSERT INTO `tbl_kplayversion` (`app_ver`, `app_build`, `app_finstall`) VALUES
('1.7', '426', 1195831636);

-- --------------------------------------------------------

--
-- Structure de la table `tbl_mhistory`
--

CREATE TABLE IF NOT EXISTS `tbl_mhistory` (
  `h_id` int(4) NOT NULL auto_increment,
  `u_id` int(4) NOT NULL default '0',
  `s_id` int(4) NOT NULL default '0',
  `tid` tinyint(4) NOT NULL default '0',
  `utime` int(4) NOT NULL default '0',
  `dwritten` int(4) NOT NULL default '0',
  `dpercent` int(4) NOT NULL default '0',
  `active` tinyint(4) NOT NULL default '0',
  `mid` int(4) NOT NULL default '0',
  PRIMARY KEY  (`h_id`),
  KEY `s_id` (`s_id`),
  KEY `u_id` (`u_id`),
  KEY `utime` (`utime`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `tbl_mhistory`
--


-- --------------------------------------------------------

--
-- Structure de la table `tbl_playlist`
--

CREATE TABLE IF NOT EXISTS `tbl_playlist` (
  `u_id` int(4) NOT NULL default '0',
  `name` varchar(32) NOT NULL default '',
  `public` char(1) NOT NULL default '0',
  `status` tinyint(1) NOT NULL default '0',
  `listid` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`listid`),
  UNIQUE KEY `u_login` (`u_id`,`name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `tbl_playlist`
--


-- --------------------------------------------------------

--
-- Structure de la table `tbl_playlist_list`
--

CREATE TABLE IF NOT EXISTS `tbl_playlist_list` (
  `listid` int(11) NOT NULL default '0',
  `id` int(11) NOT NULL auto_increment,
  `sid` int(4) NOT NULL default '0',
  `seq` int(4) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `listid` (`listid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `tbl_playlist_list`
--


-- --------------------------------------------------------

--
-- Structure de la table `tbl_search`
--

CREATE TABLE IF NOT EXISTS `tbl_search` (
  `id` int(11) NOT NULL auto_increment,
  `f_stat` int(4) NOT NULL default '0',
  `track` int(4) NOT NULL default '0',
  `year` int(4) NOT NULL default '0',
  `title` varchar(255) NOT NULL default '',
  `free` varchar(255) NOT NULL default '',
  `comment` varchar(255) NOT NULL default '',
  `dirname` varchar(255) NOT NULL default '0',
  `album` varchar(255) NOT NULL default '',
  `artist` varchar(255) NOT NULL default '',
  `md5` varchar(32) NOT NULL default '',
  `hits` int(4) NOT NULL default '0',
  `mtime` int(4) NOT NULL default '0',
  `date` int(4) NOT NULL default '0',
  `fsize` int(4) NOT NULL default '0',
  `genre` int(4) NOT NULL default '255',
  `bitrate` int(4) NOT NULL default '0',
  `ratemode` tinyint(4) default '0',
  `lengths` int(4) NOT NULL default '0',
  `drive` tinyint(4) default '0',
  `ftypeid` int(4) NOT NULL default '-1',
  PRIMARY KEY  (`id`),
  KEY `dirname` (`dirname`),
  KEY `free` (`free`),
  KEY `artist` (`artist`),
  KEY `album` (`album`),
  KEY `title` (`title`),
  KEY `fsize` (`fsize`),
  KEY `date` (`date`),
  KEY `f_stat` (`f_stat`),
  KEY `drive` (`drive`),
  KEY `ftypeid` (`ftypeid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `tbl_search`
--


-- --------------------------------------------------------

--
-- Structure de la table `tbl_session`
--

CREATE TABLE IF NOT EXISTS `tbl_session` (
  `sessionid` bigint(16) NOT NULL auto_increment,
  `u_id` int(4) NOT NULL default '0',
  `ip` int(4) NOT NULL default '0',
  `login` int(4) NOT NULL default '0',
  `refreshed` int(4) NOT NULL default '0',
  `logout` int(4) NOT NULL default '0',
  `sstatus` int(4) NOT NULL default '0',
  PRIMARY KEY  (`sessionid`),
  KEY `u_id` (`u_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1309504630 ;

--
-- Contenu de la table `tbl_session`
--

INSERT INTO `tbl_session` (`sessionid`, `u_id`, `ip`, `login`, `refreshed`, `logout`, `sstatus`) VALUES
(1309504629, 1, -1062731726, 1195831822, 1195831822, 0, 0);

-- --------------------------------------------------------

--
-- Structure de la table `tbl_users`
--

CREATE TABLE IF NOT EXISTS `tbl_users` (
  `u_name` varchar(32) NOT NULL default '',
  `u_pass` varchar(32) NOT NULL default '',
  `u_login` varchar(32) NOT NULL default '',
  `u_ip` varchar(16) NOT NULL default '',
  `u_comment` varchar(64) default NULL,
  `u_id` int(4) NOT NULL auto_increment,
  `u_sessionkey` bigint(16) unsigned default '0',
  `u_booted` tinyint(4) NOT NULL default '0',
  `u_status` tinyint(4) NOT NULL default '0',
  `u_time` bigint(16) NOT NULL default '0',
  `u_access` tinyint(4) default '1',
  `u_allowdownload` char(1) NOT NULL default '1',
  `allowarchive` char(1) NOT NULL default '1',
  `archivesize` int(4) NOT NULL default '0',
  `extm3u` char(1) NOT NULL default '1',
  `defplaylist` int(4) NOT NULL default '0',
  `defshplaylist` int(4) NOT NULL default '0',
  `defaultid3` char(1) NOT NULL default '0',
  `defaultsearch` int(1) NOT NULL default '0',
  `partymode` char(1) NOT NULL default '0',
  `theme` int(4) NOT NULL default '1',
  `lockedtime` int(8) NOT NULL default '0',
  `hotrows` int(4) NOT NULL default '25',
  `searchrows` int(4) NOT NULL default '25',
  `lang` tinyint(4) NOT NULL default '0',
  `udlrate` int(4) NOT NULL default '0',
  `defgenre` int(4) NOT NULL default '0',
  `archer` char(1) NOT NULL default '0',
  `hitsas` tinyint(4) NOT NULL default '0',
  `lameperm` char(1) NOT NULL default '0',
  `lamerate` int(4) NOT NULL default '0',
  `allowemail` char(1) NOT NULL default '0',
  `email` varchar(128) NOT NULL default '',
  `plinline` char(1) NOT NULL default '1',
  `hotmode` int(4) NOT NULL default '0',
  `created` int(4) NOT NULL default '0',
  `laston` int(4) NOT NULL default '0',
  `pltype` int(4) NOT NULL default '1',
  `orsearch` char(1) NOT NULL default '0',
  `textcut` int(2) NOT NULL default '80',
  `dircolumn` int(2) NOT NULL default '1',
  `streamengine` char(1) NOT NULL default '1',
  `utemplate` char(1) NOT NULL default '0',
  PRIMARY KEY  (`u_id`),
  UNIQUE KEY `u_login` (`u_login`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Contenu de la table `tbl_users`
--

INSERT INTO `tbl_users` (`u_name`, `u_pass`, `u_login`, `u_ip`, `u_comment`, `u_id`, `u_sessionkey`, `u_booted`, `u_status`, `u_time`, `u_access`, `u_allowdownload`, `allowarchive`, `archivesize`, `extm3u`, `defplaylist`, `defshplaylist`, `defaultid3`, `defaultsearch`, `partymode`, `theme`, `lockedtime`, `hotrows`, `searchrows`, `lang`, `udlrate`, `defgenre`, `archer`, `hitsas`, `lameperm`, `lamerate`, `allowemail`, `email`, `plinline`, `hotmode`, `created`, `laston`, `pltype`, `orsearch`, `textcut`, `dircolumn`, `streamengine`, `utemplate`) VALUES
('admin', '21232f297a57a5a743894a0e4a801fc3', 'admin', '', 'admin', 1, 1309504629, 0, 1, 1195831822, 0, '1', '1', 0, '1', 0, 0, '0', 0, '0', 1, 0, 25, 25, 11, 0, 0, '0', 0, '0', 0, '1', '', '0', 0, 1195831636, 0, 1, '0', 80, 1, '1', '0');
